#
# spec file for package ccscript3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ccscript3
Version:        1.1.7
Release:        13.4
Summary:        A GNU Common C++ framework for embedded scripting
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://www.gnu.org/software/ccscript/
Source:         %{name}-%{version}.tar.bz2
Patch1:         unixODBC.diff
Patch2:         ccscript3-gcc43.diff
Patch3:         ccscript3-libtool.diff
Patch4:         ccscript3-sqllen.patch
BuildRequires:  commoncpp2-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  unixODBC-devel
Provides:       ccscript = %{version}
Obsoletes:      ccscript < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU ccScript package offers a class extensible threaded embedded
scripting engine for use with GNU Common C++.  This engine is also used
in GNU Bayonne (the GNU telephony application server package) and other
parts of GNUCOMM (the GNU telephony meta-project). This engine differs
from traditional scripting systems in that it is used to script near
real-time state-event systems through deterministic callback step
execution rather than the linear and non-deterministic fashion of
embedded script systems such as tcl, libguile, etc.

%package -n libccscript3-1_1-0
Summary:        A GNU Common C++ framework for embedded scripting
Group:          Development/Libraries/C and C++
Recommends:     ccscript3-modules = %{version}

%description -n libccscript3-1_1-0
The GNU ccScript package offers a class extensible threaded embedded
scripting engine for use with GNU Common C++.  This engine is also used
in GNU Bayonne (the GNU telephony application server package) and other
parts of GNUCOMM (the GNU telephony meta-project). This engine differs
from traditional scripting systems in that it is used to script near
real-time state-event systems through deterministic callback step
execution rather than the linear and non-deterministic fashion of
embedded script systems such as tcl, libguile, etc.

%package modules
Summary:        Modules for ccScript
Group:          Development/Libraries/C and C++
Requires:       libccscript3-1_1-0 = %{version}

%description modules
This package contains ccScript modules.

%package devel
Summary:        Header files and documentation for ccScript
Group:          Development/Libraries/C and C++
Requires:       commoncpp2-devel
Requires:       libccscript3-1_1-0 = %{version}
Provides:       ccscript-devel = %{version}
Obsoletes:      ccscript-devel < %{version}

%description devel
This package contains header files and documentation needed when
developing applications with ccScript.

%prep
%setup -q
%patch1
%patch2 -p1
%patch3
%patch4 -p1

%build
./autogen.sh
%configure \
	--with-pic \
	--disable-static
make CPPFLAGS="%{optflags}"

%install
%make_install
rm -f %{buildroot}%{_libdir}/libccscript*.la

%post -n libccscript3-1_1-0 -p /sbin/ldconfig

%postun -n libccscript3-1_1-0 -p /sbin/ldconfig

%files -n libccscript3-1_1-0
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libccscript3*.so.*

%files modules
%defattr(-,root,root)
%{_libdir}/%{name}-1.1/

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/libccscript3.so
%{_libdir}/pkgconfig/libccscript3.pc
%{_includedir}/cc++

%changelog
* Thu Apr  4 2013 dvaleev@suse.com
- fix 64bit builds (ccscript3-sqllen.patch)
* Sat Oct 27 2012 coolo@suse.com
- fix module linking - this pretends to ues libtool, but doesn't
  actually build libtool modules, so the COMMON_MODOPTS needs to
  contain the correct linker options
* Mon Feb 27 2012 saschpe@suse.de
- Adhere to shared library packaging policy
- Correctly provide/obsolete ccscript
- Move documentation into base (lib) package, all subpackages require
  it and legal needs 'COPYING' there
- CFLAGS are already part of %%configure
- Ran spec-cleaner
* Wed Feb 22 2012 kkeil@linux-pingi.de
- update to version 1.1.7
    From ccScript3 1.1.5 to 1.1.6
  - minor preproc fix and dupString export
    From ccScript3 1.1.4 to 1.1.5
  - fix for some kinds of call argument parsing
  - support for passing traditional positional arguments into calls
  - addition of bool type
  - positional argument expansion in sub with %%*
    From ccScript3 1.1.3 to 1.1.4
  - packed structs
  - contruct packing, deconstruct unpacking, ? expr for member search
    From ccScript3 1.1.2 to 1.1.3
  - fix fatel bug on _keydata_ method setting
    From ccScript3 1.1.1 to 1.1.2
  - exit token for keydata...
    From ccScript3 1.1.0 to 1.1.1
  - new embedded keydata support
    From ccScript3 1.0.9 to 1.1.0
  - fix for slog check levels
  - standardization of arguments
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Tue May 13 2008 crrodriguez@suse.de
- remove static libraries
* Mon Apr 14 2008 schwab@suse.de
- Work around misuse of libtool.
* Sat Jan 12 2008 meissner@suse.de
- Fixed buffer overflow in fixed strcpy() of PI.
* Thu Oct 11 2007 kkeil@suse.de
- fixes for GCC 4.3
* Tue Jul 18 2006 kkaempf@suse.de
- update to 1.0.9
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 kkaempf@suse.de
- New package name and version
- Take over from ccscript-3.0.1.0
